import { EnvironmentProviders, Provider } from "@angular/core";
import { Router } from "@angular/router";
export declare enum HateoasClientFeatureKind {
    AxiosRequestManager = 0,
    AngularRequestManager = 1
}
export interface HateoasClientFeature {
    kind: HateoasClientFeatureKind;
    providers: Provider[];
}
export interface AngularRequestManagerOptions {
    onUnauthorizedAction: (router: Router) => void;
}
export declare function withAxiosRequestManager(): HateoasClientFeature;
export declare function withAngularRequestManager(options?: Partial<AngularRequestManagerOptions>): HateoasClientFeature;
export declare function provideHateoasClient(...features: HateoasClientFeature[]): EnvironmentProviders;
